package it.danieleverducci.nextcloudmaps.fragments;

import java.util.List;

import it.danieleverducci.nextcloudmaps.model.Geofavorite;

public interface GeofavoriteListConsumer {
    void onGeofavoritesUpdated(List<Geofavorite> geofavorites);
    void onGeofavoriteRemoved(Geofavorite geofavorite);
    void onGeofavoriteAdded(Geofavorite geofavorite);
    void onGeofavoriteLoading(boolean isLoading);
}
